Megaventory API v2017a

<back to all web services

SerialNumberGet

The following routes are available for this service:
GET POST/Product/SerialNumberGetGets information on existing serial numbersUses your API Key along with optional Filters, and Pagination parameters to retrieve Serial Number information. If no Filters are provided, all serial numbers will be returned.

Query Parameters:


  • Page (int, optional) = Page number starting from 1
  • Limit (int, optional) = Maximum number of records per page (max 1000)

Examples:



A.

Return all serial numbers (no filters) with default pagination

Value:

{
  "Page": 1,
  "Limit": 100
}


Response:

{
  "mvSerialNumbers": [
    {
      "SerialNumberId": 305,
      "SerialNumber": "SerialA",
      "ProductId": 7571,
      "InventoryLocationId": 6770,
      "DateCreated": "/Date(1727691143980-0000)/",
      "SerialNumberStatus": "Available",
      "SerialNumberDocuments": []
    }
  ],
  "ResponseStatus": {
    "ErrorCode": "0"
  }
}


B.

Return serial numbers with a name of either "SerialA" or "SerialB" , page 2 with 50 results per page

Value:

{
  "Page": 2,
  "Limit": 50,
  "Filters": [
    {
      "FieldName": "SerialNumber",
      "SearchOperator": "Equals",
      "SearchValue": "SerialA"
    },
    {
      "AndOr": "Or",
      "FieldName": "SerialNumber",
      "SearchOperator": "Equals",
      "SearchValue": "SerialB"
    }
  ]
}


Response:

{
  "mvSerialNumbers": [
    {
      "SerialNumberId": 503,
      "SerialNumber": "SerialA",
      "ProductId": 7571,
      "InventoryLocationId": 6770,
      "DateCreated": "/Date(1727691143980-0000)/",
      "SerialNumberStatus": "Available",
      "SerialNumberDocuments": []     
    },
    {
      "SerialNumberId": 341,
      "SerialNumber": "SerialB",
      "ProductId": 7571,
      "InventoryLocationId": 6770,
      "DateCreated": "/Date(1725280940387-0000)/",
      "SerialNumberStatus": "Available",
      "SerialNumberDocuments": []
    },
    {
      "SerialNumberId": 347,
      "SerialNumber": "SerialB",
      "ProductId": 7572,
      "InventoryLocationId": 6770,
      "DateCreated": "/Date(1725281874650-0000)/",
      "SerialNumberStatus": "Shipped",
      "SerialNumberDocuments": []
    }
  ],
  "ResponseStatus": {
    "ErrorCode": "0"
  }
}


To override the Content-type in your clients HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /jsv/reply/SerialNumberGet HTTP/1.1 
Host: api.megaventory.com 
Content-Type: text/jsv
Content-Length: length

{
	Filters: 
	[
		{
			AndOr: And,
			Group: Undefined,
			FieldName: String,
			SearchOperator: Undefined,
			SearchValue: String
		}
	],
	APIKEY: String,
	Page: 0,
	Limit: 0
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	mvSerialNumbers: 
	[
		{
			SerialNumberId: 0,
			SerialNumber: String,
			ProductId: 0,
			InventoryLocationId: 0,
			DateCreated: 0001-01-01,
			SerialNumberStatus: Created,
			SerialNumberStatusText: String,
			SerialNumberProduct: 
			{
				ProductID: 0,
				ProductType: BuyFromSupplier,
				ProductSKU: String,
				ProductEAN: String,
				ProductDescription: String,
				ProductVersion: String,
				ProductLongDescription: String,
				ProductCategoryID: 0,
				mvProductCategory: 
				{
					ProductCategoryID: 0,
					ProductCategoryName: String,
					ProductCategoryDescription: String
				},
				ProductUnitOfMeasurement: String,
				ProductSellingPrice: 0,
				ProductPurchasePrice: 0,
				ProductUnitCost: 
				[
					{
						
					}
				],
				ProductWeight: 0,
				ProductWeightUnitID: 0,
				mvProductWeightUnit: 
				{
					WeightUnitID: 0,
					WeightUnitAbbrev: String,
					WeightUnitName: String,
					WeightUnitConversionToGrams: 0
				},
				ProductLength: 0,
				ProductBreadth: 0,
				ProductHeight: 0,
				ProductImageURL: String,
				ProductComments: String,
				ProductCustomField1: String,
				ProductCustomField2: String,
				ProductCustomField3: String,
				ProductCustomField4: String,
				ProductCustomField5: String,
				ProductCustomField6: String,
				ProductCustomField7: String,
				ProductCustomField8: String,
				ProductCustomField9: String,
				ProductCustomField10: String,
				ProductCustomField11: String,
				ProductCustomField12: String,
				ProductCustomField13: String,
				ProductCustomField14: String,
				ProductCustomField15: String,
				ProductCustomField16: String,
				ProductCustomField17: String,
				ProductCustomField18: String,
				ProductCustomField19: String,
				ProductCustomField20: String,
				ProductMainSupplierID: 0,
				mvProductMainSupplier: 
				{
					SupplierClientID: 0,
					SupplierClientType: Both,
					SupplierClientName: String,
					SupplierClientBillingAddress: String,
					SupplierClientShippingAddress1: String,
					SupplierClientShippingAddress2: String,
					SupplierClientAddresses: 
					[
						{
							AddressType: General,
							AddressLine1: String,
							AddressLine2: String,
							AddressLine3: String,
							Name: String,
							Phone: String,
							Email: String,
							TaxIdNumber: String,
							Organization: String,
							City: String,
							State: String,
							Country: NONE,
							CountryName: String,
							Longitude: String,
							Latitude: String,
							ZipCode: String
						}
					],
					SupplierClientPhone1: String,
					SupplierClientPhone2: String,
					SupplierClientFax: String,
					SupplierClientIM: String,
					SupplierClientEmail: String,
					SupplierClientCurrency: String,
					SupplierClientPaymentTermsEnum: None,
					SupplierClientPaymentMethodEnum: None,
					SupplierClientComments: String,
					SupplierClientCustomField1: String,
					SupplierClientCustomField2: String,
					SupplierClientCustomField3: String,
					SupplierClientCustomField4: String,
					SupplierClientCustomField5: String,
					SupplierClientCustomField6: String,
					SupplierClientCustomField7: String,
					SupplierClientCustomField8: String,
					SupplierClientCustomField9: String,
					SupplierClientCustomField10: String,
					SupplierClientOption1: False,
					SupplierClientOption2: False,
					SupplierClientOption3: False,
					SupplierClientOption4: False,
					SupplierClientOption5: False,
					SupplierClientOption6: False,
					SupplierClientOption7: False,
					SupplierClientOption8: False,
					SupplierClientOption9: False,
					SupplierClientOption10: False,
					SupplierClientCreationDate: 0001-01-01,
					mvContacts: 
					[
						{
							ContactId: 0,
							ContactName: String,
							ContactDepartment: String,
							ContactAddress: String,
							ContactFullAddress: 
							{
								AddressType: General,
								AddressLine1: String,
								AddressLine2: String,
								AddressLine3: String,
								Name: String,
								Phone: String,
								Email: String,
								TaxIdNumber: String,
								Organization: String,
								City: String,
								State: String,
								Country: NONE,
								CountryName: String,
								Longitude: String,
								Latitude: String,
								ZipCode: String
							},
							ContactEmail: String,
							ContactPhone1: String,
							ContactPhone2: String,
							ContactFax: String,
							ContactIM: String,
							ContactCustomField1: String,
							ContactCustomField2: String,
							ContactIsPrimary: False,
							mvSuppliersClients: 
							[
								{
									SupplierClientID: 0,
									SupplierClientType: Both,
									SupplierClientName: String,
									SupplierClientBillingAddress: String,
									SupplierClientShippingAddress1: String,
									SupplierClientShippingAddress2: String,
									SupplierClientAddresses: 
									[
										{
											AddressType: General,
											AddressLine1: String,
											AddressLine2: String,
											AddressLine3: String,
											Name: String,
											Phone: String,
											Email: String,
											TaxIdNumber: String,
											Organization: String,
											City: String,
											State: String,
											Country: NONE,
											CountryName: String,
											Longitude: String,
											Latitude: String,
											ZipCode: String
										}
									],
									SupplierClientPhone1: String,
									SupplierClientPhone2: String,
									SupplierClientFax: String,
									SupplierClientIM: String,
									SupplierClientEmail: String,
									SupplierClientCurrency: String,
									SupplierClientPaymentTermsEnum: None,
									SupplierClientPaymentMethodEnum: None,
									SupplierClientComments: String,
									SupplierClientCustomField1: String,
									SupplierClientCustomField2: String,
									SupplierClientCustomField3: String,
									SupplierClientCustomField4: String,
									SupplierClientCustomField5: String,
									SupplierClientCustomField6: String,
									SupplierClientCustomField7: String,
									SupplierClientCustomField8: String,
									SupplierClientCustomField9: String,
									SupplierClientCustomField10: String,
									SupplierClientOption1: False,
									SupplierClientOption2: False,
									SupplierClientOption3: False,
									SupplierClientOption4: False,
									SupplierClientOption5: False,
									SupplierClientOption6: False,
									SupplierClientOption7: False,
									SupplierClientOption8: False,
									SupplierClientOption9: False,
									SupplierClientOption10: False,
									SupplierClientCreationDate: 0001-01-01,
									mvContacts: 
									[
										{
											ContactId: 0,
											ContactName: String,
											ContactDepartment: String,
											ContactAddress: String,
											ContactFullAddress: 
											{
												AddressType: General,
												AddressLine1: String,
												AddressLine2: String,
												AddressLine3: String,
												Name: String,
												Phone: String,
												Email: String,
												TaxIdNumber: String,
												Organization: String,
												City: String,
												State: String,
												Country: NONE,
												CountryName: String,
												Longitude: String,
												Latitude: String,
												ZipCode: String
											},
											ContactEmail: String,
											ContactPhone1: String,
											ContactPhone2: String,
											ContactFax: String,
											ContactIM: String,
											ContactCustomField1: String,
											ContactCustomField2: String,
											ContactIsPrimary: False,
											mvSuppliersClients: 
											[
												{
													SupplierClientID: 0,
													SupplierClientType: Both,
													SupplierClientName: String,
													SupplierClientBillingAddress: String,
													SupplierClientShippingAddress1: String,
													SupplierClientShippingAddress2: String,
													SupplierClientAddresses: 
													[
														{
															AddressType: General,
															AddressLine1: String,
															AddressLine2: String,
															AddressLine3: String,
															Name: String,
															Phone: String,
															Email: String,
															TaxIdNumber: String,
															Organization: String,
															City: String,
															State: String,
															Country: NONE,
															CountryName: String,
															Longitude: String,
															Latitude: String,
															ZipCode: String
														}
													],
													SupplierClientPhone1: String,
													SupplierClientPhone2: String,
													SupplierClientFax: String,
													SupplierClientIM: String,
													SupplierClientEmail: String,
													SupplierClientCurrency: String,
													SupplierClientPaymentTermsEnum: None,
													SupplierClientPaymentMethodEnum: None,
													SupplierClientComments: String,
													SupplierClientCustomField1: String,
													SupplierClientCustomField2: String,
													SupplierClientCustomField3: String,
													SupplierClientCustomField4: String,
													SupplierClientCustomField5: String,
													SupplierClientCustomField6: String,
													SupplierClientCustomField7: String,
													SupplierClientCustomField8: String,
													SupplierClientCustomField9: String,
													SupplierClientCustomField10: String,
													SupplierClientOption1: False,
													SupplierClientOption2: False,
													SupplierClientOption3: False,
													SupplierClientOption4: False,
													SupplierClientOption5: False,
													SupplierClientOption6: False,
													SupplierClientOption7: False,
													SupplierClientOption8: False,
													SupplierClientOption9: False,
													SupplierClientOption10: False,
													SupplierClientCreationDate: 0001-01-01,
													mvContacts: 
													[
														{
															ContactId: 0,
															ContactName: String,
															ContactDepartment: String,
															ContactAddress: String,
															ContactFullAddress: 
															{
																AddressType: General,
																AddressLine1: String,
																AddressLine2: String,
																AddressLine3: String,
																Name: String,
																Phone: String,
																Email: String,
																TaxIdNumber: String,
																Organization: String,
																City: String,
																State: String,
																Country: NONE,
																CountryName: String,
																Longitude: String,
																Latitude: String,
																ZipCode: String
															},
															ContactEmail: String,
															ContactPhone1: String,
															ContactPhone2: String,
															ContactFax: String,
															ContactIM: String,
															ContactCustomField1: String,
															ContactCustomField2: String,
															ContactIsPrimary: False,
															mvSuppliersClients: 
															[
																{
																	
																}
															]
														}
													],
													SupplierClientTaxID: String
												}
											]
										}
									],
									SupplierClientTaxID: String
								}
							]
						}
					],
					SupplierClientTaxID: String
				},
				ProductMainSupplierPrice: 0.00,
				ProductMainSupplierSKU: String,
				ProductMainSupplierDescription: String,
				ProductCreationDate: 0001-01-01,
				ProductOption1: False,
				ProductOption2: False,
				ProductOption3: False,
				ProductOption4: False,
				ProductOption5: False,
				ProductOption6: False,
				ProductOption7: False,
				ProductOption8: False,
				ProductOption9: False,
				ProductOption10: False,
				IsInventorySerialised: False,
				IsBatchNumbersEnabled: False,
				SerialNumberPrefix: String,
				IsPurchasable: False,
				PurchasableStartDate: 0001-01-01,
				PurchasableEndDate: 0001-01-01,
				IsSellable: False,
				SellableStartDate: 0001-01-01,
				SellableEndDate: 0001-01-01,
				DefaultSalesQuantity: 0,
				DefaultPurchaseQuantity: 0,
				MinimumSalesQuantity: 0,
				MinimumPurchaseQuantity: 0,
				MaximumSalesQuantity: 0,
				MaximumPurchaseQuantity: 0
			},
			SerialNumberInventoryLocation: 
			{
				InventoryLocationID: 0,
				InventoryLocationName: String,
				InventoryLocationAbbreviation: String,
				InventoryLocationAddress: String,
				Address: 
				{
					AddressType: General,
					AddressLine1: String,
					AddressLine2: String,
					AddressLine3: String,
					Name: String,
					Phone: String,
					Email: String,
					TaxIdNumber: String,
					Organization: String,
					City: String,
					State: String,
					Country: NONE,
					CountryName: String,
					Longitude: String,
					Latitude: String,
					ZipCode: String
				},
				InventoryLocationCurrencyCode: String,
				InventoryLocationCompanyId: 0,
				InventoryLocationIsDeleted: False,
				InventoryLocationIsTransit: False
			},
			SerialNumberDocuments: 
			[
				{
					DocumentAccessUrl: String,
					DocumentSupplierClientName: String,
					InventoryLocationName: String,
					ToInventoryLocationName: String,
					DocumentId: 0,
					DocumentTypeId: 0,
					DocumentTypeAbbreviation: String,
					DocumentTypeDescription: String,
					DocumentNo: String,
					DocumentReferenceNo: String,
					DocumentReferenceApplication: String,
					DocumentReferenceNo2: String,
					DocumentReferenceApplication2: String,
					DocumentReferenceNo3: String,
					DocumentReferenceApplication3: String,
					DocumentDate: 0001-01-01,
					DocumentCustomOrderDate1: 0001-01-01,
					DocumentCustomOrderDate2: 0001-01-01,
					DocumentCurrencyCode: String,
					DocumentSupplierClientID: 0,
					DocumentBillingAddress: String,
					DocumentShippingAddress: String,
					DocumentAddresses: 
					[
						{
							AddressType: General,
							AddressLine1: String,
							AddressLine2: String,
							AddressLine3: String,
							Name: String,
							Phone: String,
							Email: String,
							TaxIdNumber: String,
							Organization: String,
							City: String,
							State: String,
							Country: NONE,
							CountryName: String,
							Longitude: String,
							Latitude: String,
							ZipCode: String
						}
					],
					DocumentContactPerson: String,
					DocumentInventoryLocationID: 0,
					DocumentCustomFlag1: False,
					DocumentCustomFlag2: False,
					DocumentCustomFlag3: False,
					DocumentCustomFlag4: False,
					DocumentCustomFlag5: False,
					DocumentCustomFlag6: False,
					DocumentCustomFlag7: False,
					DocumentCustomFlag8: False,
					DocumentCustomFlag9: False,
					DocumentCustomFlag10: False,
					DocumentShippingProviderID: 0,
					DocumentTrackingID: String,
					DocumentShippingInfo: 
					{
						ProviderInfo: 
						{
							ProviderId: 0,
							ServiceId: String,
							PackageId: String
						},
						CostInfo: 
						{
							ShippingCost: 0,
							OtherCosts: 0,
							TotalCost: 0
						},
						WeightInfo: 
						{
							Weight: 0,
							WeightUnitId: 0
						},
						ShipmentDimensionsInfo: 
						{
							ShipmentDimensionsLength: 0,
							ShipmentDimensionsWidth: 0,
							ShipmentDimensionsHeight: 0,
							ShipmentDimensionsUnit: String
						},
						ShipDateInfo: 
						{
							ShipDate: String
						},
						GenericAftersalesProServicesInfo: 
						{
							COD: False,
							GTEEC: False,
							Protocol: False,
							Reception: False,
							Insurance: False,
							ChequeCod: False,
							SpecialRate: False,
							VipDelivery: False,
							SenderCharge: False,
							PackageReturn: False,
							ReturnDocument: False,
							CodTotalInCents: 0,
							MorningDelivery: False,
							SameDayIntracity: False,
							SaturdayDelivery: False,
							SeaFreightCyprus: False,
							RefrigeratedGoods: False,
							LessThanTwoKilograms: False,
							LessThanFourKilograms: False,
							SubmissionOfTenderDocuments: False,
							NextDayAirTransportToIslands: False,
							ContainsDocumentsOnlyAndIsLessThanTwoKilograms: False
						},
						TrackingId: String,
						LockerId: 0
					},
					DocumentComments: String,
					DocumentTags: String,
					DocumentPaymentTermsEnumeration: None,
					DocumentPaymentMethod: None,
					DocumentParentDocId: 0,
					DocumentHandlingDocId: 0,
					DocumentTotalQuantity: 0,
					DocumentAmountSubtotalWithoutTaxAndDiscount: 0.00,
					DocumentAmountShipping: 0.00,
					DocumentAmountTotalDiscount: 0.00,
					DocumentAmountTotalTax: 0.00,
					DocumentAmountGrandTotal: 0.00,
					DocumentTotalWeight: 0,
					DocumentTotalWeightUnitID: 0,
					DocumentDetails: 
					[
						{
							DocumentRowDetailID: 0,
							DocumentRowProductID: 0,
							DocumentRowProductSKU: String,
							DocumentRowProductDescription: String,
							DocumentRowQuantity: 0,
							DocumentRowUnitPriceWithoutTaxOrDiscount: 0.00,
							DocumentRowTaxID: 0,
							DocumentTotalTaxAmount: 0.00,
							DocumentRowDiscountID: 0,
							DocumentRowTotalDiscountAmount: 0.00,
							DocumentRowTotalAmount: 0.00,
							DocumentRowSerialNumbers: 
							[
								String
							],
							DocumentRowBatchNumbers: 
							[
								{
									BatchNumberName: String,
									ExpiryDate: 0001-01-01,
									AssignedQTYInDetail: 0
								}
							],
							DocumentRowRemarks: String,
							DocumentRowTotalWeight: 0,
							DocumentRowTotalWeightUnitID: 0
						}
					],
					DocumentStatus: ValidStatus,
					chkReOpenOrCloseRelatedDocs: False,
					DocumentCreationDate: 0001-01-01,
					DocumentLastUpdatedDate: 0001-01-01,
					DocumentExcludeFromForecasting: False
				}
			],
			SerialNumberLastDocument: 
			{
				DocumentAccessUrl: String,
				DocumentSupplierClientName: String,
				InventoryLocationName: String,
				ToInventoryLocationName: String,
				DocumentId: 0,
				DocumentTypeId: 0,
				DocumentTypeAbbreviation: String,
				DocumentTypeDescription: String,
				DocumentNo: String,
				DocumentReferenceNo: String,
				DocumentReferenceApplication: String,
				DocumentReferenceNo2: String,
				DocumentReferenceApplication2: String,
				DocumentReferenceNo3: String,
				DocumentReferenceApplication3: String,
				DocumentDate: 0001-01-01,
				DocumentCustomOrderDate1: 0001-01-01,
				DocumentCustomOrderDate2: 0001-01-01,
				DocumentCurrencyCode: String,
				DocumentSupplierClientID: 0,
				DocumentBillingAddress: String,
				DocumentShippingAddress: String,
				DocumentAddresses: 
				[
					{
						AddressType: General,
						AddressLine1: String,
						AddressLine2: String,
						AddressLine3: String,
						Name: String,
						Phone: String,
						Email: String,
						TaxIdNumber: String,
						Organization: String,
						City: String,
						State: String,
						Country: NONE,
						CountryName: String,
						Longitude: String,
						Latitude: String,
						ZipCode: String
					}
				],
				DocumentContactPerson: String,
				DocumentInventoryLocationID: 0,
				DocumentCustomFlag1: False,
				DocumentCustomFlag2: False,
				DocumentCustomFlag3: False,
				DocumentCustomFlag4: False,
				DocumentCustomFlag5: False,
				DocumentCustomFlag6: False,
				DocumentCustomFlag7: False,
				DocumentCustomFlag8: False,
				DocumentCustomFlag9: False,
				DocumentCustomFlag10: False,
				DocumentShippingProviderID: 0,
				DocumentTrackingID: String,
				DocumentShippingInfo: 
				{
					ProviderInfo: 
					{
						ProviderId: 0,
						ServiceId: String,
						PackageId: String
					},
					CostInfo: 
					{
						ShippingCost: 0,
						OtherCosts: 0,
						TotalCost: 0
					},
					WeightInfo: 
					{
						Weight: 0,
						WeightUnitId: 0
					},
					ShipmentDimensionsInfo: 
					{
						ShipmentDimensionsLength: 0,
						ShipmentDimensionsWidth: 0,
						ShipmentDimensionsHeight: 0,
						ShipmentDimensionsUnit: String
					},
					ShipDateInfo: 
					{
						ShipDate: String
					},
					GenericAftersalesProServicesInfo: 
					{
						COD: False,
						GTEEC: False,
						Protocol: False,
						Reception: False,
						Insurance: False,
						ChequeCod: False,
						SpecialRate: False,
						VipDelivery: False,
						SenderCharge: False,
						PackageReturn: False,
						ReturnDocument: False,
						CodTotalInCents: 0,
						MorningDelivery: False,
						SameDayIntracity: False,
						SaturdayDelivery: False,
						SeaFreightCyprus: False,
						RefrigeratedGoods: False,
						LessThanTwoKilograms: False,
						LessThanFourKilograms: False,
						SubmissionOfTenderDocuments: False,
						NextDayAirTransportToIslands: False,
						ContainsDocumentsOnlyAndIsLessThanTwoKilograms: False
					},
					TrackingId: String,
					LockerId: 0
				},
				DocumentComments: String,
				DocumentTags: String,
				DocumentPaymentTermsEnumeration: None,
				DocumentPaymentMethod: None,
				DocumentParentDocId: 0,
				DocumentHandlingDocId: 0,
				DocumentTotalQuantity: 0,
				DocumentAmountSubtotalWithoutTaxAndDiscount: 0.00,
				DocumentAmountShipping: 0.00,
				DocumentAmountTotalDiscount: 0.00,
				DocumentAmountTotalTax: 0.00,
				DocumentAmountGrandTotal: 0.00,
				DocumentTotalWeight: 0,
				DocumentTotalWeightUnitID: 0,
				DocumentDetails: 
				[
					{
						DocumentRowDetailID: 0,
						DocumentRowProductID: 0,
						DocumentRowProductSKU: String,
						DocumentRowProductDescription: String,
						DocumentRowQuantity: 0,
						DocumentRowUnitPriceWithoutTaxOrDiscount: 0.00,
						DocumentRowTaxID: 0,
						DocumentTotalTaxAmount: 0.00,
						DocumentRowDiscountID: 0,
						DocumentRowTotalDiscountAmount: 0.00,
						DocumentRowTotalAmount: 0.00,
						DocumentRowSerialNumbers: 
						[
							String
						],
						DocumentRowBatchNumbers: 
						[
							{
								BatchNumberName: String,
								ExpiryDate: 0001-01-01,
								AssignedQTYInDetail: 0
							}
						],
						DocumentRowRemarks: String,
						DocumentRowTotalWeight: 0,
						DocumentRowTotalWeightUnitID: 0
					}
				],
				DocumentStatus: ValidStatus,
				chkReOpenOrCloseRelatedDocs: False,
				DocumentCreationDate: 0001-01-01,
				DocumentLastUpdatedDate: 0001-01-01,
				DocumentExcludeFromForecasting: False
			}
		}
	],
	ResponseStatus: 
	{
		ErrorCode: String,
		Message: String,
		StackTrace: String,
		Errors: 
		[
			{
				ErrorCode: String,
				FieldName: String,
				Message: String
			}
		]
	}
}